Reports and data connector
Run a report
POST /v1/reports/runScope: reports:read
| Body field | Type | Required |
|---|---|---|
key | string | No |
savedId | string uuid | No |
filters | array | No |
extraFilters | array | No |
columns | array | No |
sort | object | No |
chart | object | No |
period | object | No |
chartType | string | No |
locationId | string uuid | No |
locationIds | array | No |
search | string | No |
tab | string | No |
view | object | No |
page | integer | No |
pageSize | integer | No |
Data connector: datasets and their fields
GET /v1/dataScope: reports:read
Data connector: one page of rows
GET /v1/data/{dataset}Scope: reports:read
| Parameter | In | Required |
|---|---|---|
dataset | path | Yes |
page | query | No |
pageSize | query | No |
fields | query | No |